Commits

holger krekel committed 949dd5c

skip a test than can only run for pytest-2.1

Comments (0)

Files changed (2)

testing/code/test_assertion.py

 
 @py.test.mark.skipif("sys.version_info < (2,6)")
 def test_assert_customizable_reprcompare(monkeypatch):
-    import _pytest.assertion.util
-    monkeypatch.setattr(_pytest.assertion.util, '_reprcompare', lambda *args: 'hello')
+    util = pytest.importorskip("_pytest.assertion.util")
+    monkeypatch.setattr(util, '_reprcompare', lambda *args: 'hello')
     try:
         assert 3 == 4
     except AssertionError:
 [tox]
 envlist=py26,py27,py31,py32,py27-xdist,py25,py24
-indexserver=
-    default=http://pypi.testrun.org
+#indexserver=
+#    default=http://pypi.testrun.org
 
 [testenv]
 changedir=testing
 commands=py.test --confcutdir=.. -rfsxX --junitxml={envlogdir}/junit-{envname}.xml []
-deps=pytest>=2.0.0
+deps=pytest
 
 [testenv:py27-xdist]
 basepython=python2.7